//  ______ __  __  ____       _ _____    _____ _    _          _____  ______ _____  
// |  ____|  \/  |/ __ \     | |_   _|  / ____| |  | |   /\   |  __ \|  ____|  __ \ 
// | |__  | \  / | |  | |    | | | |   | (___ | |__| |  /  \  | |  | | |__  | |__) |
// |  __| | |\/| | |  | |_   | | | |    \___ \|  __  | / /\ \ | |  | |  __| |  _  / 
// | |____| |  | | |__| | |__| |_| |_   ____) | |  | |/ ____ \| |__| | |____| | \ \ 
// |______|_|  |_|\____/ \____/|_____| |_____/|_|  |_/_/    \_\_____/|______|_|  \_\
// | |           | ____|                | |    | |                                  
// | |__  _   _  | |____      _____  ___| |_ __| | _____   __                       
// | '_ \| | | | |___ \ \ /\ / / _ \/ _ \ __/ _` |/ _ \ \ / /                       
// | |_) | |_| |  ___) \ V  V /  __/  __/ || (_| |  __/\ V /                        
// |_.__/ \__, | |____/ \_/\_/ \___|\___|\__\__,_|\___| \_/                         
//         __/ |                                                                    
//        |___/                                                                     
//
//                                        
// Feel free to change shader parameters

#version 150

uniform mat4 modelViewMatrix;
uniform mat4 projectionMatrix;

in vec2 vaUV0;
in vec3 vaPosition;

out vec2 texcoord;

void main() {
	gl_Position = projectionMatrix * (modelViewMatrix * vec4(vaPosition, 1.0));
	texcoord    = vaUV0;
}