//  ______ __  __  ____       _ _____    _____ _    _          _____  ______ _____  
// |  ____|  \/  |/ __ \     | |_   _|  / ____| |  | |   /\   |  __ \|  ____|  __ \ 
// | |__  | \  / | |  | |    | | | |   | (___ | |__| |  /  \  | |  | | |__  | |__) |
// |  __| | |\/| | |  | |_   | | | |    \___ \|  __  | / /\ \ | |  | |  __| |  _  / 
// | |____| |  | | |__| | |__| |_| |_   ____) | |  | |/ ____ \| |__| | |____| | \ \ 
// |______|_|  |_|\____/ \____/|_____| |_____/|_|  |_/_/    \_\_____/|______|_|  \_\
// | |           | ____|                | |    | |                                  
// | |__  _   _  | |____      _____  ___| |_ __| | _____   __                       
// | '_ \| | | | |___ \ \ /\ / / _ \/ _ \ __/ _` |/ _ \ \ / /                       
// | |_) | |_| |  ___) \ V  V /  __/  __/ || (_| |  __/\ V /                        
// |_.__/ \__, | |____/ \_/\_/ \___|\___|\__\__,_|\___| \_/                         
//         __/ |                                                                    
//        |___/                                                                     
//
//                                        
// Feel free to change shader parameters



//#define TONEMAP // Enables tonemaping
//#define RGB_SPLIT // Splits rgb chanells
//#define BLOOM // Applies a little bit of bloor to bright objects
//#define VIGNETTE // Will add shodows around center of screen

#define OVERLAY_ORIGINAL 0.0 // [0.0 0.25 0.5 0.75 1.0] // Overlayes original image on top of characters
#define COLOR_INTENSITY_MATCHING 0.98 // [0.0 0.05 0.1 0.15 0.2 0.25 0.3 0.35 0.4 0.45 0.5 0.55 0.6 0.65 0.7 0.75 0.8 0.85 0.9 0.95 0.98 1.0] // Ration between color and intensity based character matching (1 - )
#define FONT_SIZE 16.0 // [4.0 8.0 16.0 32.0 64.0 128.0 256.0 512.0] // May not work properly. Changes size of singele character. You can also change/resize font texture in shaders/tex/font_brightness.png

#define POST_PROCESSING // Enables post processing
#define MORE_FPS // Will use first pixels color for determining character instead of avarage of colors

#define FONT_TEXTURE_WIDTH (FONT_SIZE * 16.0)
#define FONT_TEXTURE_HEIGHT (FONT_SIZE * 16.0)
#define FONT_WIDTH FONT_SIZE
#define FONT_HEIGHT FONT_SIZE
#define FONT_NUMBER_OF_CHARS 48.0
